# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFileOpenWithHandler Class Reference

This class handles the displayOpenWithDialog call, made by KRun when it has no idea what to do with a URL. More...

`#include <kopenwith.h>`

Inheritance diagram for KFileOpenWithHandler:

[legend]
Collaboration diagram for KFileOpenWithHandler:

[legend]
List of all members.

## Public Member Functions

virtual bool | displayOpenWithDialog (const KURL::List &urls)

## Detailed Description

This class handles the displayOpenWithDialog call, made by KRun when it has no idea what to do with a URL.

It displays the open-with dialog box.

If you use KRun you _need_ to create an instance of KFileOpenWithHandler (except if you can make sure you only use it for executables or Type=Application desktop files)

Definition at line 192 of file kopenwith.h.

## Member Function Documentation

bool KFileOpenWithHandler::displayOpenWithDialog | ( | const KURL::List & | urls | ) | `[virtual]`

Opens an open-with dialog box for `urls`.

Returns:
  true if the operation succeeded

Definition at line 851 of file kopenwith.cpp.

References endl(), QDialog::exec(), kdDebug(), KRun::run(), KOpenWithDlg::service(), and KOpenWithDlg::text().

The documentation for this class was generated from the following files:

- kopenwith.h
- kopenwith.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:43 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003